org.eclipse.net4j.util.security

## Class FileUserManager

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.security.UserManager
      - - org.eclipse.net4j.util.security.FileUserManager

- All Implemented Interfaces:
    INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation, IAuthenticator, IUserManager

      public class FileUserManager
      extends UserManager

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `fileName`

    - ### Fields inherited from class org.eclipse.net4j.util.security.UserManager

      `users`

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUserManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doBeforeActivate()`
    `String` | `getFileName()`
    `protected void` | `load(Map<String,char[]> users)`
    `protected void` | `load(Map<String,char[]> users, InputStream stream)`
    `protected void` | `save(Map<String,char[]> users)`
    `protected void` | `save(Map<String,char[]> users, FileOutputStream stream)`
    `void` | `setFileName(String fileName)`

    - ### Methods inherited from class org.eclipse.net4j.util.security.UserManager

      `addUser, authenticate, doActivate, doDeactivate, encrypt, getPassword, removeUser`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### fileName

          protected String fileName

  - ### Constructor Detail

    - #### FileUserManager

          public FileUserManager()

  - ### Method Detail

    - #### getFileName

          public String getFileName()

    - #### setFileName

          public void setFileName(String fileName)

    - #### doBeforeActivate

          protected void doBeforeActivate()
                                   throws Exception

      Overrides:
        `doBeforeActivate` in class `Lifecycle`
      Throws:
        `Exception`

    - #### load

          protected void load(Map<String,char[]> users)
                       throws IORuntimeException

      Overrides:
        `load` in class `UserManager`
      Throws:
        `IORuntimeException`

    - #### load

          protected void load(Map<String,char[]> users,
                              InputStream stream)
                       throws IOException

      Throws:
        `IOException`

    - #### save

          protected void save(Map<String,char[]> users)
                       throws IORuntimeException

      Overrides:
        `save` in class `UserManager`
      Throws:
        `IORuntimeException`

    - #### save

          protected void save(Map<String,char[]> users,
                              FileOutputStream stream)
                       throws IOException

      Throws:
        `IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html